Subject: [PATCH 0/8] Upgrade PETSc, SLEPc, SUNDIALS, and DealII

From: Ludovic Courtès <[email-masked]>
Date: Thu, 29 Aug 2024 17:38:43 +0200

Hello Guix!

The impetus for this patch series is that PETSc fails to build on
‘core-updates’ (soon to be merged) and it’s pretty critical in
applied maths and HPC:

--8<---------------cut here---------------start------------->8---
Using MAKE: /gnu/store/lc6r1mh0jlcwixjziiw1zsx1my478rv1-make-4.4.1/bin/make
Using MAKEFLAGS: -j16 -l96.0 w -- PETSC_DIR=/tmp/guix-build-petsc-3.16.1.drv-0/petsc-3.16.1 PETSC_ARCH=arch-linux-c-opt MAKE_NP=16
==========================================
make[3]: Entering directory '/tmp/guix-build-petsc-3.16.1.drv-0/petsc-3.16.1'
/gnu/store/nvpcidxh4wqp5prdlyfsbcymg67xqqn9-python-3.10.7/bin/python3 ./config/gmakegen.py --petsc-arch=arch-linux-c-opt
/gnu/store/nvpcidxh4wqp5prdlyfsbcymg67xqqn9-python-3.10.7/bin/python3 /tmp/guix-build-petsc-3.16.1.drv-0/petsc-3.16.1/config/gmakegentest.py --petsc-dir=/tmp/guix-build-petsc-3.16.1.drv-0/petsc-3.16.1 --petsc-arch=arch-linux-c-opt --testdir=./arch-linux-c-opt/tests
make[3]: *** No rule to make target 'w'.  Stop.
make[3]: Leaving directory '/tmp/guix-build-petsc-3.16.1.drv-0/petsc-3.16.1'
make[2]: *** [/tmp/guix-build-petsc-3.16.1.drv-0/petsc-3.16.1/lib/petsc/conf/rules:50: libs] Error 2
make[2]: Leaving directory '/tmp/guix-build-petsc-3.16.1.drv-0/petsc-3.16.1'
egrep: warning: egrep is obsolescent; using grep -E
egrep: warning: egrep is obsolescent; using grep -E
[1;31m**************************ERROR*************************************
  Error during compile, check arch-linux-c-opt/lib/petsc/conf/make.log
  Send it and arch-linux-c-opt/lib/petsc/conf/configure.log to [email-masked]
********************************************************************[0;39m[0;49m
make[1]: *** [makefile:40: all] Error 1
make: *** [GNUmakefile:9: all] Error 2
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("MAKE_NP=16") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `build' failed after 9.7 seconds
command "make" "MAKE_NP=16" failed with status 2
build process 18 exited with status 256
builder for `/gnu/store/wxzwzjlcq10grqrjl9w144fv3myr0kf9-petsc-3.16.1.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---

(From <https://ci.guix.gnu.org/log/4pncdcw7lmls9fi0978fabypv7ili7wb-petsc-3.16.1>.)

Ironically I tested this on top of today’s ‘master’ but I’m hopeful that it’ll
work on ‘core-updates’ (because of this, I think we should get this series
merged shortly once ‘core-updates’ is merged).

I rebuilt all dependents, but ‘fenics’ and its dependents remain broken:
fenics, python-vedo, and python-dolfin-adjoint.

Thanks,
Ludo’.

Ludovic Courtès (8):
  gnu: petsc: Update to 3.21.4.
  gnu: python-petsc4py: Update to 3.21.4.
  gnu: slepc: Update to 3.21.1.
  gnu: python-slepc4py: Update to 3.21.1.
  gnu: petsc: Make ‘petscvariables’ reproducible.
  gnu: sundials: Upgrade to 7.1.1.
  gnu: sundials, sundials-openmpi: Use gexps.
  gnu: dealii: Update to 9.6.0.

 gnu/packages/maths.scm | 190 ++++++++++++++++++++++-------------------
 1 file changed, 100 insertions(+), 90 deletions(-)

base-commit: d5312370b46ace47e138d84e1bb28e5651cee94b
-- 
2.45.2